Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162045 - CAN-2005-1921 PHP PEAR XML_RPC arbitrary code execution
Summary: CAN-2005-1921 PHP PEAR XML_RPC arbitrary code execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 13:57 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 15:22:31 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-29 13:57:37 UTC
+++ This bug was initially created as a clone of Bug #162044 +++

A bug has been found in PHP's PEAR XML_RPC server which could allow remote code
execution. This bug allows injection of arbitrary PHP commands into eval()
statements.

Comment 1 Josh Bressers 2005-06-29 14:00:42 UTC
This issue should also affect FC3

Comment 2 Josh Bressers 2005-06-29 14:01:36 UTC
The proposed patch for this issue is attachment 116126 [details]


Note You need to log in before you can comment on or make changes to this bug.